@ECHO OFF
title Dateibezeichnungspruefung fuer WHS2011Updatepack2014 (Sept 2014)
REM zuletzt bearbeitet am: 22. Sept 2014
REM Author *Cyberbilly*
cls
Color 2f
echo.
echo ********************************************************
echo * Automatische Pruefung der korrekten Dateibezeichnung *
echo * fuer den Installer zum Updatepack WHS 2011           *
echo ********************************************************
echo Achtung - Das ist ein externes, separates Fenster!
echo Bitte noch Maximieren
echo.
echo --------------------------------------------------------
echo Untersucht 6 eingetragene Updates mit den laengsten Zahlenschlangen
echo Sie wird direkt vom (im) Setup- Ordner "data" gestartet
echo Korrigiert eventuell noch zu langen Dateibezeichnungen 
echo um evtl. noch fehlende  zu ermitteln
echo Bitte um etwas Geduld...
echo --------------------------------------------------------
pause
echo.
echo ********************
echo Suchstart fuer MSRT:
echo ********************
echo ----------------------------------------------
echo Suche jetzt nach der Windows-KB890830-x64.exe:
echo Rueckmeldung:
if exist Windows-KB890830-x64.exe echo Die Datei Windows-KB890830-x64.exe existiert schon
if not exist Windows-KB890830-x64.exe echo Die Datei Windows-KB890830-x64.exe existiert noch nicht
echo.
echo ----------------------------------------------
echo Suche falls Datei noch im Format z.B. Windows-KB890830-x64-V5.15.exe vorliegt:
echo Suche nach einer Windows-KB890830-x64-V*.**.exe
echo (mit einer undefinierten versionsnummer)
echo.
if exist Windows-KB890830-x64-V*.**.exe echo Eine Datei mit KB890830 wurde gefunden:
if exist Windows-KB890830-x64-V*.**.exe echo Der Dateiname Windows-KB890830-x64-V*.**.exe geht nicht mit dem Installer
if exist Windows-KB890830-x64-V*.**.exe echo Das umbenennen der Windows-KB890830-x64-V*.**.exe
if exist Windows-KB890830-x64-V*.**.exe echo in das Format "Windows-KB890830-x64.exe" wird benoetigt
echo.
if exist Windows-KB890830-x64-V*.**.exe echo Das Umbenennen erfolgt
if exist Windows-KB890830-x64-V*.**.exe Rename Windows-KB890830-x64-V*.**.exe Windows-KB890830-x64.exe
echo.
echo Jetzt pruefe mir die benoetigte Datei noch Mal:
if exist Windows-KB890830-x64.exe echo Die Datei Windows-KB890830-x64.exe ist vorhanden und korrekt
echo.
echo ************************************
echo Suche fuer 5 - Updates zum WHS2011:
echo ************************************
echo Suche windows6.1-kb2757011-x64_4140355ab0b06df89668ec51432a820dff9af356.msu
if exist windows6.1-kb2757011-x64_4140355ab0b06df89668ec51432a820dff9af356.msu echo Dateiname stimmt nicht - Umbenennen in windows6.1-kb2757011-x64.msu noetig
echo Umbenennen:
Rename windows6.1-kb2757011-x64_4140355ab0b06df89668ec51432a820dff9af356.msu windows6.1-kb2757011-x64.msu
if exist windows6.1-kb2757011-x64.msu echo Der Dateiname windows6.1-kb2757011-x64.msu ist korrekt
if not exist windows6.1-kb2757011-x64.msu echo Die Datei windows6.1-kb2757011-x64.msu  fehlt noch
echo.
echo Suche windows6.1-kb2885314-x64_cb8f895305ddaf8d9d7fd5573c7a594b424a0512.msu
if exist windows6.1-kb2885314-x64_cb8f895305ddaf8d9d7fd5573c7a594b424a0512.msu echo Dateiname stimmt nicht - UmBenennen in windows6.1-kb2885314-x64.msu noetig
echo Umbenennen:
Rename windows6.1-kb2885314-x64_cb8f895305ddaf8d9d7fd5573c7a594b424a0512.msu windows6.1-kb2885314-x64.msu
if exist windows6.1-kb2885314-x64.msu echo Der Dateiname windows6.1-kb2885314-x64.msu ist korrekt
if not exist windows6.1-kb2885314-x64.msu echo Die Datei windows6.1-kb2885314-x64.msu fehlt noch
echo.
echo Suche windows6.1-kb2934950-x64_1ca707728c0507fd7cf8994569f2784a112b3f72.msu
if exist windows6.1-kb2934950-x64_1ca707728c0507fd7cf8994569f2784a112b3f72.msu echo Dateiname stimmt nicht - Umbenennen in windows6.1-kb2934950-x64.msu noetig
echo Umbenennen:
Rename windows6.1-kb2934950-x64_1ca707728c0507fd7cf8994569f2784a112b3f72.msu windows6.1-kb2934950-x64.msu
if exist windows6.1-kb2934950-x64.msu echo Der Dateiname windows6.1-kb2934950-x64.msu ist korrekt
if not exist windows6.1-kb2934950-x64.msu echo Die Datei windows6.1-kb2934950-x64.msu fehlt noch
echo.
echo Suche windows6.1-kb2934953-x64_c6946c212b980a8afe59c675be7b6f83ed7ab035.msu
if exist windows6.1-kb2934953-x64_c6946c212b980a8afe59c675be7b6f83ed7ab035.msu echo Dateiname stimmt nicht - Umbenennen in windows6.1-kb2934953-x64.msu noetig
echo Umbenennen:
Rename windows6.1-kb2934953-x64_c6946c212b980a8afe59c675be7b6f83ed7ab035.msu windows6.1-kb2934953-x64.msu
if exist windows6.1-kb2934953-x64.msu echo Der Dateiname windows6.1-kb2934953-x64.msu ist korrekt
if not exist windows6.1-kb2934953-x64.msu echo Die Datei windows6.1-kb2934953-x64.msu fehlt noch
echo.
echo Suche 459472_intl_x64_zip.exe
if exist 459472_intl_x64_zip.exe echo Der Dateiname stimmt leider nicht - zuerst noch Entpacken
echo Falls nicht vorhanden suche die entpackte Windows6.1-KB2781272-x64.msu
if exist Windows6.1-KB2781272-x64.msu echo Der Dateiname Windows6.1-KB2781272-x64.msu ist korrekt
if not exist Windows6.1-KB2781272-x64.msu echo Die Datei Windows6.1-KB2781272-x64.msu fehlt noch
echo.
echo *****************************************
echo Fertig - Der Suchlauf wurde durchgefuehrt
echo.
echo Eventuell zu lange Dateibezeichnungen wurden gleich korrigiert
echo Gepruefte Dateien wurden zur Installation passend umbenannt 
echo *****************************************
echo - Zum Beenden...
pause
Exit